Skip to main content
GET
Get all SaaS
Key: Read Scope: Company

Authorizations

Authorization
string
header
required

Use your Primo API key in the Authorization header as Bearer <API_KEY>.

Query Parameters

isEmailProvider
boolean

Pass true to keep only the company's email providers. A company can have several.

approvalStatus
enum<string>

Restrict the list to SaaS applications in this approval status.

Available options:
TO_REVIEW,
APPROVED,
REJECTED

Free-text search on the SaaS application name (case-insensitive, matches on a fragment).

page
number

Page number

perPage
number

Number of items per page (max 100)

Response

default - application/json
data
object[]
required
pagination
object
required